movie List
curl --request GET \
--url https://api.themoviedb.org/3/genre/movie/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/genre/movie/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/genre/movie/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"genres": [
{
"id": 28,
"name": "Action"
},
{
"id": 12,
"name": "Adventure"
},
{
"id": 16,
"name": "Animation"
},
{
"id": 35,
"name": "Comedy"
},
{
"id": 80,
"name": "Crime"
},
{
"id": 99,
"name": "Documentary"
},
{
"id": 18,
"name": "Drama"
},
{
"id": 10751,
"name": "Family"
},
{
"id": 14,
"name": "Fantasy"
},
{
"id": 36,
"name": "History"
},
{
"id": 27,
"name": "Horror"
},
{
"id": 10402,
"name": "Music"
},
{
"id": 9648,
"name": "Mystery"
},
{
"id": 10749,
"name": "Romance"
},
{
"id": 878,
"name": "Science Fiction"
},
{
"id": 10770,
"name": "TV Movie"
},
{
"id": 53,
"name": "Thriller"
},
{
"id": 10752,
"name": "War"
},
{
"id": 37,
"name": "Western"
}
]
}GENRES
movie List
This endpoint get the list of official genres for movies.
GET
/
3
/
genre
/
movie
/
list
movie List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Specifies the language in which the response should be returned.
Example:
"en-US"
Response
200 - application/json
movie list
This array is the collection or list of categories that classify various types of movies based on their thematic and stylistic elements.
Show child attributes
Show child attributes
Example:
[
{ "id": 28, "name": "Action" },
{ "id": 12, "name": "Adventure" },
{ "id": 16, "name": "Animation" },
{ "id": 35, "name": "Comedy" },
{ "id": 80, "name": "Crime" },
{ "id": 99, "name": "Documentary" },
{ "id": 18, "name": "Drama" },
{ "id": 10751, "name": "Family" },
{ "id": 14, "name": "Fantasy" },
{ "id": 36, "name": "History" },
{ "id": 27, "name": "Horror" },
{ "id": 10402, "name": "Music" },
{ "id": 9648, "name": "Mystery" },
{ "id": 10749, "name": "Romance" },
{ "id": 878, "name": "Science Fiction" },
{ "id": 10770, "name": "TV Movie" },
{ "id": 53, "name": "Thriller" },
{ "id": 10752, "name": "War" },
{ "id": 37, "name": "Western" }
]
⌘I